/*
 * Copyright COCKTAIL (www.cocktail.org), 1995, 2012 This software
 * is governed by the CeCILL license under French law and abiding by the
 * rules of distribution of free software. You can use, modify and/or
 * redistribute the software under the terms of the CeCILL license as
 * circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 * As a counterpart to the access to the source code and rights to copy, modify
 * and redistribute granted by the license, users are provided only with a
 * limited warranty and the software's author, the holder of the economic
 * rights, and the successive licensors have only limited liability. In this
 * respect, the user's attention is drawn to the risks associated with loading,
 * using, modifying and/or developing or reproducing the software by the user
 * in light of its specific status of free software, that may mean that it
 * is complicated to manipulate, and that also therefore means that it is
 * reserved for developers and experienced professionals having in-depth
 * computer knowledge. Users are therefore encouraged to load and test the
 * software's suitability as regards their requirements in conditions enabling
 * the security of their systems and/or data to be ensured and, more generally,
 * to use and operate it in the same conditions as regards security. The
 * fact that you are presently reading this means that you have had knowledge
 * of the CeCILL license and that you accept its terms.
 */
package org.cocktail.scolarix.serveur.components;

import org.cocktail.fwkcktlajaxwebext.serveur.CktlAjaxWOComponent;
import org.cocktail.fwkcktlwebapp.common.util.StringCtrl;

import com.webobjects.appserver.WOComponent;
import com.webobjects.appserver.WOContext;
import com.webobjects.appserver.WOResponse;

import er.extensions.appserver.ERXResponseRewriter;

// Generated by the WOLips Templateengine Plug-in at 9 mars 2008 16:19:54
public class LoginEtudiant extends CktlAjaxWOComponent implements LoginInterface {

	private String login;
	private String password;
	private String cRne = null;
	private boolean isIdentificationLoginPwd = true;
	private boolean isIdentificationNumeroEtudiantDateNaissance = false;
	private boolean isIdentificationNumeroIneDateNaissance = false;
	private boolean isIdentificationNumeroPostbacDateNaissance = false;
	private String numEtudiant;
	private String dateDeNaissance;
	private String numINE;
	private String numPostbac;
	private String messageErreur;
	private String adminMail;
	private boolean isAuthenticationByLoginAllowed = true;
	private boolean isAuthenticationByEtudNumeroAllowed = true;
	private boolean isAuthenticationByIneBeaAllowed = true;

	public LoginEtudiant(WOContext context) {
		super(context);
	}

	@Override
	public void appendToResponse(WOResponse response, WOContext context) {
		super.appendToResponse(response, context);
		ERXResponseRewriter.addScriptResourceInHead(response, context, "FwkCktlScolarixGuiAjax.framework", "scripts/strings.js");
		ERXResponseRewriter.addScriptResourceInHead(response, context, "FwkCktlScolarixGuiAjax.framework", "scripts/formatteurs.js");

		ERXResponseRewriter.addStylesheetResourceInHead(response, context, null, "styles/preinscription.css");
	}

	public String onload() {
		String onload = "";
		if (isIdentificationNumeroEtudiantDateNaissance()) {
			onload = "$('IdentificationNumEtudiantDateDeNaissance').show();";
			onload += "$('IdentificationLoginPwd').hide();";
			onload += "$('IdentificationNumINEDateDeNaissance').hide();";
		}
		else {
			if (isIdentificationNumeroIneDateNaissance()) {
				onload = "$('IdentificationNumEtudiantDateDeNaissance').hide();";
				onload += "$('IdentificationLoginPwd').hide();";
				onload += "$('IdentificationNumINEDateDeNaissance').show();";
			}
			else {
				onload = "$('IdentificationNumEtudiantDateDeNaissance').hide();";
				onload += "$('IdentificationLoginPwd').show();";
				onload += "$('IdentificationNumINEDateDeNaissance').hide();";
			}
		}
		onload += "openLoginWin();Form.Element.activate('LoginId');";

		return onload;
	}

	/**
	 * @return the login
	 */
	public String login() {
		return login;
	}

	/**
	 * @param login
	 *            the login to set
	 */
	public void setLogin(String login) {
		this.login = login;
	}

	/**
	 * @return the password
	 */
	public String password() {
		return password;
	}

	/**
	 * @param password
	 *            the password to set
	 */
	public void setPassword(String password) {
		this.password = password;
	}

	public WOComponent changerTypeIdentification() {
		setMessageErreur(null);
		return null;
	}

	public boolean isIdentificationLoginPwd() {
		return isAuthenticationByLoginAllowed() && isIdentificationLoginPwd;
	}

	public void setIsIdentificationLoginPwd(boolean isIdentificationLoginPwd) {
		this.isIdentificationLoginPwd = isIdentificationLoginPwd;
		if (isIdentificationLoginPwd) {
			this.isIdentificationNumeroEtudiantDateNaissance = false;
			this.isIdentificationNumeroIneDateNaissance = false;
			this.isIdentificationNumeroPostbacDateNaissance = false;
		}
	}

	public boolean isIdentificationNumeroEtudiantDateNaissance() {
		return isAuthenticationByEtudNumeroAllowed() && isIdentificationNumeroEtudiantDateNaissance;
	}

	public void setIsIdentificationNumeroEtudiantDateNaissance(boolean isIdentificationNumeroEtudiantDateNaissance) {
		this.isIdentificationNumeroEtudiantDateNaissance = isIdentificationNumeroEtudiantDateNaissance;
		if (isIdentificationNumeroEtudiantDateNaissance) {
			this.isIdentificationLoginPwd = false;
			this.isIdentificationNumeroIneDateNaissance = false;
			this.isIdentificationNumeroPostbacDateNaissance = false;
		}
	}

	public boolean isIdentificationNumeroIneDateNaissance() {
		return isAuthenticationByIneBeaAllowed() && isIdentificationNumeroIneDateNaissance;
	}

	public void setIsIdentificationNumeroIneDateNaissance(boolean isIdentificationNumeroIneDateNaissance) {
		this.isIdentificationNumeroIneDateNaissance = isIdentificationNumeroIneDateNaissance;
		if (isIdentificationNumeroIneDateNaissance) {
			this.isIdentificationNumeroEtudiantDateNaissance = false;
			this.isIdentificationLoginPwd = false;
			this.isIdentificationNumeroPostbacDateNaissance = false;
		}
	}

	public boolean isIdentificationNumeroPostbacDateNaissance() {
		return isIdentificationNumeroPostbacDateNaissance;
	}

	public void setIsIdentificationNumeroPostbacDateNaissance(boolean isIdentificationNumeroPostbacDateNaissance) {
		this.isIdentificationNumeroPostbacDateNaissance = isIdentificationNumeroPostbacDateNaissance;
		if (isIdentificationNumeroPostbacDateNaissance) {
			this.isIdentificationNumeroIneDateNaissance = false;
			this.isIdentificationNumeroEtudiantDateNaissance = false;
			this.isIdentificationLoginPwd = false;
		}
	}

	/**
	 * @return the numEtudiant
	 */
	public String numEtudiant() {
		return numEtudiant;
	}

	/**
	 * @param numEtudiant
	 *            the numEtudiant to set
	 */
	public void setNumEtudiant(String numEtudiant) {
		this.numEtudiant = numEtudiant;
	}

	/**
	 * @return the dateDeNaissance
	 */
	public String dateDeNaissance() {
		return dateDeNaissance;
	}

	/**
	 * @param dateDeNaissance
	 *            the dateDeNaissance to set
	 */
	public void setDateDeNaissance(String dateDeNaissance) {
		this.dateDeNaissance = dateDeNaissance;
	}

	/**
	 * @return the numINE
	 */
	public String numINE() {
		return numINE;
	}

	/**
	 * @param numINE
	 *            the numINE to set
	 */
	public void setNumINE(String numINE) {
		this.numINE = numINE;
	}

	/**
	 * @return the messageErreur
	 */
	public String messageErreur() {
		return messageErreur;
	}

	/**
	 * @param messageErreur
	 *            the messageErreur to set
	 */
	public void setMessageErreur(String messageErreur) {
		this.messageErreur = messageErreur;
	}

	public boolean isAfficherMessageErreur() {
		boolean isAfficherMessageErreur = false;

		isAfficherMessageErreur = !StringCtrl.isEmpty(messageErreur());

		return isAfficherMessageErreur;
	}

	public String cRne() {
		return cRne;
	}

	public void setCRne(String rne) {
		cRne = rne;
	}

	public void setAdminMail(String adminMail) {
		this.adminMail = adminMail;
	}

	public String adminMail() {
		return adminMail;
	}

	public String contact() {
		return "mailto:" + adminMail() + "?subject=[RE-INSCRIPTION]:Demande de renseignements";
	}

	public String getNumPostbac() {
		return numPostbac;
	}

	public void setNumPostbac(String numPostbac) {
		this.numPostbac = numPostbac;
	}

	public void setIsAuthenticationByEtudNumeroAllowed(boolean id) {
		isAuthenticationByEtudNumeroAllowed = id;
	}

	public boolean isAuthenticationByEtudNumeroAllowed() {
		return isAuthenticationByEtudNumeroAllowed;
	}

	public void setIsAuthenticationByIneBeaAllowed(boolean id) {
		isAuthenticationByIneBeaAllowed = id;
	}

	public boolean isAuthenticationByIneBeaAllowed() {
		return isAuthenticationByIneBeaAllowed;
	}

	public void setIsAuthenticationByLoginAllowed(boolean id) {
		isAuthenticationByLoginAllowed = id;
	}

	public boolean isAuthenticationByLoginAllowed() {
		return isAuthenticationByLoginAllowed;
	}

}